Package com.ocient.jdbc.proto

## Class PlanProtocol.SuperSelectOperator.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SuperSelectOperator.Builder>
      - - com.ocient.jdbc.proto.PlanProtocol.SuperSelectOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.SuperSelectOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.SuperSelectOperator

    public static final class PlanProtocol.SuperSelectOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SuperSelectOperator.Builder>
    implements PlanProtocol.SuperSelectOperatorOrBuilder

    CNF version of SelectOperator

Protobuf type `xg.db.sqlPlans.SuperSelectOperator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PlanProtocol.SuperSelectOperator.Builder` `addAllFilters​(Iterable<? extends PlanProtocol.Disjunction> values)` Filter conditions to apply
`PlanProtocol.SuperSelectOperator.Builder` `addFilters​(int index, PlanProtocol.Disjunction value)` Filter conditions to apply
`PlanProtocol.SuperSelectOperator.Builder` `addFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)` Filter conditions to apply
`PlanProtocol.SuperSelectOperator.Builder` `addFilters​(PlanProtocol.Disjunction value)` Filter conditions to apply
`PlanProtocol.SuperSelectOperator.Builder` `addFilters​(PlanProtocol.Disjunction.Builder builderForValue)` Filter conditions to apply
`PlanProtocol.Disjunction.Builder` `addFiltersBuilder()` Filter conditions to apply
`PlanProtocol.Disjunction.Builder` `addFiltersBuilder​(int index)` Filter conditions to apply
`PlanProtocol.SuperSelectOperator.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.SuperSelectOperator` `build()`
`PlanProtocol.SuperSelectOperator` `buildPartial()`
`PlanProtocol.SuperSelectOperator.Builder` `clear()`
`PlanProtocol.SuperSelectOperator.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`PlanProtocol.SuperSelectOperator.Builder` `clearFilters()` Filter conditions to apply
`PlanProtocol.SuperSelectOperator.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`PlanProtocol.SuperSelectOperator.Builder` `clone()`
`PlanProtocol.SuperSelectOperator` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`PlanProtocol.Disjunction` `getFilters​(int index)` Filter conditions to apply
`PlanProtocol.Disjunction.Builder` `getFiltersBuilder​(int index)` Filter conditions to apply
`List<PlanProtocol.Disjunction.Builder>` `getFiltersBuilderList()` Filter conditions to apply
`int` `getFiltersCount()` Filter conditions to apply
`List<PlanProtocol.Disjunction>` `getFiltersList()` Filter conditions to apply
`PlanProtocol.DisjunctionOrBuilder` `getFiltersOrBuilder​(int index)` Filter conditions to apply
`List<? extends PlanProtocol.DisjunctionOrBuilder>` `getFiltersOrBuilderList()` Filter conditions to apply
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`PlanProtocol.SuperSelectOperator.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`PlanProtocol.SuperSelectOperator.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`PlanProtocol.SuperSelectOperator.Builder` `mergeFrom​(PlanProtocol.SuperSelectOperator other)`
`PlanProtocol.SuperSelectOperator.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`PlanProtocol.SuperSelectOperator.Builder` `removeFilters​(int index)` Filter conditions to apply
`PlanProtocol.SuperSelectOperator.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`PlanProtocol.SuperSelectOperator.Builder` `setFilters​(int index, PlanProtocol.Disjunction value)` Filter conditions to apply
`PlanProtocol.SuperSelectOperator.Builder` `setFilters​(int index, PlanProtocol.Disjunction.Builder builderForValue)` Filter conditions to apply
`PlanProtocol.SuperSelectOperator.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`PlanProtocol.SuperSelectOperator.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SuperSelectOperator.Builder>`

#### clear

    public PlanProtocol.SuperSelectOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SuperSelectOperator.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SuperSelectOperator.Builder>`

#### getDefaultInstanceForType

    public PlanProtocol.SuperSelectOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public PlanProtocol.SuperSelectOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public PlanProtocol.SuperSelectOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public PlanProtocol.SuperSelectOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SuperSelectOperator.Builder>`

#### setField

    public PlanProtocol.SuperSelectOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                             Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SuperSelectOperator.Builder>`

#### clearField

    public PlanProtocol.SuperSelectOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SuperSelectOperator.Builder>`

#### clearOneof

    public PlanProtocol.SuperSelectOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SuperSelectOperator.Builder>`

#### setRepeatedField

    public PlanProtocol.SuperSelectOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                     int index,
                                                                     Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SuperSelectOperator.Builder>`

#### addRepeatedField

    public PlanProtocol.SuperSelectOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                     Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SuperSelectOperator.Builder>`

#### mergeFrom

    public PlanProtocol.SuperSelectOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.SuperSelectOperator.Builder>`

#### mergeFrom

    public PlanProtocol.SuperSelectOperator.Builder mergeFrom​(PlanProtocol.SuperSelectOperator other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SuperSelectOperator.Builder>`

#### mergeFrom

    public PlanProtocol.SuperSelectOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.SuperSelectOperator.Builder>`
Throws:
  `IOException`

#### getFiltersList

    public List<PlanProtocol.Disjunction> getFiltersList()

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

Specified by:
  `getFiltersList` in interface `PlanProtocol.SuperSelectOperatorOrBuilder`

#### getFiltersCount

    public int getFiltersCount()

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

Specified by:
  `getFiltersCount` in interface `PlanProtocol.SuperSelectOperatorOrBuilder`

#### getFilters

    public PlanProtocol.Disjunction getFilters​(int index)

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

Specified by:
  `getFilters` in interface `PlanProtocol.SuperSelectOperatorOrBuilder`

#### setFilters

    public PlanProtocol.SuperSelectOperator.Builder setFilters​(int index,
                                                               PlanProtocol.Disjunction value)

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

#### setFilters

    public PlanProtocol.SuperSelectOperator.Builder setFilters​(int index,
                                                               PlanProtocol.Disjunction.Builder builderForValue)

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

#### addFilters

    public PlanProtocol.SuperSelectOperator.Builder addFilters​(PlanProtocol.Disjunction value)

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

#### addFilters

    public PlanProtocol.SuperSelectOperator.Builder addFilters​(int index,
                                                               PlanProtocol.Disjunction value)

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

#### addFilters

    public PlanProtocol.SuperSelectOperator.Builder addFilters​(PlanProtocol.Disjunction.Builder builderForValue)

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

#### addFilters

    public PlanProtocol.SuperSelectOperator.Builder addFilters​(int index,
                                                               PlanProtocol.Disjunction.Builder builderForValue)

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

#### addAllFilters

    public PlanProtocol.SuperSelectOperator.Builder addAllFilters​(Iterable<? extends PlanProtocol.Disjunction> values)

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

#### clearFilters

    public PlanProtocol.SuperSelectOperator.Builder clearFilters()

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

#### removeFilters

    public PlanProtocol.SuperSelectOperator.Builder removeFilters​(int index)

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

#### getFiltersBuilder

    public PlanProtocol.Disjunction.Builder getFiltersBuilder​(int index)

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

#### getFiltersOrBuilder

    public PlanProtocol.DisjunctionOrBuilder getFiltersOrBuilder​(int index)

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

Specified by:
  `getFiltersOrBuilder` in interface `PlanProtocol.SuperSelectOperatorOrBuilder`

#### getFiltersOrBuilderList

    public List<? extends PlanProtocol.DisjunctionOrBuilder> getFiltersOrBuilderList()

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

Specified by:
  `getFiltersOrBuilderList` in interface `PlanProtocol.SuperSelectOperatorOrBuilder`

#### addFiltersBuilder

    public PlanProtocol.Disjunction.Builder addFiltersBuilder()

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

#### addFiltersBuilder

    public PlanProtocol.Disjunction.Builder addFiltersBuilder​(int index)

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

#### getFiltersBuilderList

    public List<PlanProtocol.Disjunction.Builder> getFiltersBuilderList()

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

#### setUnknownFields

    public final PlanProtocol.SuperSelectOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SuperSelectOperator.Builder>`

#### mergeUnknownFields

    public final PlanProtocol.SuperSelectOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SuperSelectOperator.Builder>`